org.apache.catalina.tribes.transport

## Class PooledSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender
  - - org.apache.catalina.tribes.transport.PooledSender

All Implemented Interfaces:
  DataSender, MultiPointSender

Direct Known Subclasses:
  PooledMultiSender, PooledParallelSender

    public abstract class PooledSender
    extends AbstractSender
    implements MultiPointSender

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
Constructor and Description
`PooledSender()`

### Method Summary

Methods
`void` `add(Member member)`
`void` `connect()` connect
`void` `disconnect()` disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
`int` `getInPoolSize()`
`int` `getInUsePoolSize()`
`long` `getMaxWait()`
`abstract DataSender` `getNewDataSender()`
`int` `getPoolSize()`
`DataSender` `getSender()`
`boolean` `keepalive()` keepalive
`void` `remove(Member member)`
`void` `returnSender(DataSender sender)`
`void` `setMaxWait(long maxWait)`
`void` `setPoolSize(int poolSize)`

### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

`getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

`sendMessage, setDirectBuffer, setMaxRetryAttempts`

### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

`getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### PooledSender

    public PooledSender()

### Method Detail

#### getNewDataSender

    public abstract DataSender getNewDataSender()

#### getSender

    public DataSender getSender()

#### returnSender

    public void returnSender(DataSender sender)

#### connect

    public void connect()
                 throws IOException

Description copied from class: `AbstractSender`
connect

Specified by:
  `connect` in interface `DataSender`
Specified by:
  `connect` in class `AbstractSender`
Throws:
  `IOException` - TODO Implement this org.apache.catalina.tribes.transport.DataSender method

#### disconnect

    public void disconnect()

Description copied from class: `AbstractSender`
disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method

Specified by:
  `disconnect` in interface `DataSender`
Specified by:
  `disconnect` in class `AbstractSender`

#### getInPoolSize

    public int getInPoolSize()

#### getInUsePoolSize

    public int getInUsePoolSize()

#### setPoolSize

    public void setPoolSize(int poolSize)

#### getPoolSize

    public int getPoolSize()

#### getMaxWait

    public long getMaxWait()

#### setMaxWait

    public void setMaxWait(long maxWait)

#### keepalive

    public boolean keepalive()

Description copied from class: `AbstractSender`
keepalive

Specified by:
  `keepalive` in interface `DataSender`
Overrides:
  `keepalive` in class `AbstractSender`
Returns:
  boolean TODO Implement this org.apache.catalina.tribes.transport.DataSender method

#### add

    public void add(Member member)

Specified by:
  `add` in interface `MultiPointSender`

#### remove

    public void remove(Member member)

Specified by:
  `remove` in interface `MultiPointSender`